<div class="canvas-wrapper">
    <div class="canvas-container">
        <canvas #myCanvas [width]="canvasOptions.width" [height]="canvasOptions.height">
        </canvas>
    </div>
    <div class="box-action">
        <div>
            <input type="file" class="upload-image" (change)="uploadImage($event)">
        </div>

        <div class="box-action-buttons">
            <button (click)="removeFromCanvas()">clear canvas</button>
            <br>
            <span>Invert Selection </span><input type="checkbox" (ngModelChange)="handleInverted()" [(ngModel)]="inverted">
            <button (click)="reset()">Reset Color Range</button>
        </div>
        <div class="general-settings">
         
            <span>Red Min: {{colorSelectors.redMin}}</span> <input (ngModelChange)="onBarChange()" type="range" class="slider" min=0 max="255"
                                                                         [(ngModel)]="colorSelectors.redMin">
            <span>Red Max : {{colorSelectors.redMax}}</span> <input (ngModelChange)="onBarChange()" type="range" class="slider" min=0 max="255"
                                                                      [(ngModel)]="colorSelectors.redMax">
            <span>Green Max: {{colorSelectors.greenMax}}</span> <input (ngModelChange)="onBarChange()" type="range" class="slider" min=0 max="255"
                                                                            [(ngModel)]="colorSelectors.greenMax">
            <span>Green Min: {{colorSelectors.greenMin}}</span> <input (ngModelChange)="onBarChange()" type="range" class="slider" min=0 max="255"
                                                                            [(ngModel)]="colorSelectors.greenMin">
            <span>Blue Max: {{colorSelectors.blueMax}}</span> <input (ngModelChange)="onBarChange()" type="range" class="slider" min=0 max="255"
                                                                    [(ngModel)]="colorSelectors.blueMax">
            <span>Blue Min: {{colorSelectors.blueMin}}</span> <input (ngModelChange)="onBarChange()" type="range" class="slider" min=0 max="255"
                                                                    [(ngModel)]="colorSelectors.blueMin">


        </div>

    </div>

    <div class="canvas-container">
        <canvas #originalImage [width]="canvasOptions.width" [height]="canvasOptions.height">
        </canvas>
    </div>
    <div class="box-action">
        <table *ngIf="colorSelectors" id="table-color-range-values">
            <tr><th>Color</th><th>Min Value</th><th>Max Value</th></tr>
            <tr><td>Red</td><td>{{colorSelectors.redMin}}</td><td>{{colorSelectors.redMax}}</td></tr>
            <tr><td>Green</td><td>{{colorSelectors.greenMin}}</td><td>{{colorSelectors.greenMax}}</td></tr>
            <tr><td>Blue</td><td>{{colorSelectors.blueMin}}</td><td>{{colorSelectors.blueMin}}</td></tr>
        </table>
        <br>

        <div *ngIf=currentPixel class="color-info" [style.background-color]="currentPixel">
            <h3>Current Pixel: </h3>
            <div class="">
                {{currentPixel}}
            </div>
        </div>
    </div>

</div>
